Bug 1117645 - New sub component's default cc list does not add to bug cc list
New sub component's default cc list does not add to bug cc list
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-09 02:27 EDT by Shirley Zhou
Modified: 2015-03-04 19:53 EST (History)
7 users (show)

See Also:
Fixed In Version: 4.4.5023
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 21:05:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2014-07-09 02:27:36 EDT
Description of problem:
Change bug's sub component, the default cc list of new sub component should be add to bug cc list. Currently bug cc list keep without change.  

Version-Release number of selected component (if applicable):
version 4.4.4021

How reproducible:
100%

Steps to Reproduce:
1. Create sub components sub-1 and sub-2 for RHEL7 -> distribution component, and give different default cc list for sub-1 and sub-2
2. Create bug A on sub-1 
3. Change above bug A's sub component to sub-2

Actual results:
After step 2, assignee and qa contact changed to sub-2's, while cc list keep as sub-1's

Expected results:
sub-2's default cc list should be added to bug A's cc list

Additional info:
Comment 1 Simon Green 2014-07-23 08:21:06 EDT
This issue also happens when changing components as well as changing sub components.
Comment 5 Shirley Zhou 2014-07-30 21:33:34 EDT
According to comment 4, move this bug to verified.

Note You need to log in before you can comment on or make changes to this bug.